Beta — endpoints, schemas, limits and examples may change before general availability.
Hellomateo API Documentation
Organisations

Get Organisation

GET
/v1/organisations/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

id*string
Formatuuid

Query Parameters

include?array<>

Additional fields to include in the response. Use repeated query syntax: include=foo&include=bar

Response Body

application/json

curl -X GET "https://api.getmateo.com/v1/organisations/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",  "name": "string",  "display_name": "string",  "mobile": "string",  "landline": "string",  "email": "string",  "street": "string",  "postal_code": "string",  "city": "string",  "address_line": "string",  "industry": "string",  "region": "string",  "iso_country": "string",  "vat": "string",  "is_sp": true,  "sp_full_name": "string",  "sp_region": "string",  "sp_postal_code": "string",  "sp_street": "string",  "sp_city": "string",  "data_privacy_url": "string",  "description": "string",  "website_url": "string",  "opt_out_template_id": "0bd95eca-b98e-46da-9d0f-d636105eb120",  "marketing_enabled": true,  "timezone": "string",  "locale": "string",  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z",  "logo": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z",    "filename": "string",    "purpose": "media_library",    "path": "string",    "size": -9007199254740991,    "type": "string",    "metadata": {      "property1": null,      "property2": null    },    "user_metadata": {      "property1": null,      "property2": null    }  },  "favicon": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z",    "filename": "string",    "purpose": "media_library",    "path": "string",    "size": -9007199254740991,    "type": "string",    "metadata": {      "property1": null,      "property2": null    },    "user_metadata": {      "property1": null,      "property2": null    }  },  "commercial_register_extract": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z",    "filename": "string",    "purpose": "media_library",    "path": "string",    "size": -9007199254740991,    "type": "string",    "metadata": {      "property1": null,      "property2": null    },    "user_metadata": {      "property1": null,      "property2": null    }  },  "identity_card": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z",    "filename": "string",    "purpose": "media_library",    "path": "string",    "size": -9007199254740991,    "type": "string",    "metadata": {      "property1": null,      "property2": null    },    "user_metadata": {      "property1": null,      "property2": null    }  },  "opt_out_template": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "key": "string",    "name": "string",    "description": "string",    "type": "auto_responder",    "channel_type": "email",    "category": "string",    "language": "string",    "subject": "string",    "footer": "string",    "content": {      "type": "root",      "children": [        {          "type": "text",          "content": "string",          "bold": true,          "underline": true,          "strikethrough": true,          "italic": true        }      ],      "style": {        "color": "string",        "fontSize": 0,        "fontFamily": "string",        "alignment": "left"      }    },    "extra_content": [      {        "page": 0,        "maxWidth": 0,        "position": {          "x": 0,          "y": 0        },        "content": {          "type": "root",          "children": [            {              "type": "text",              "content": "string",              "bold": true,              "underline": true,              "strikethrough": true,              "italic": true            }          ],          "style": {            "color": "string",            "fontSize": 0,            "fontFamily": "string",            "alignment": "left"          }        }      }    ],    "buttons": [      {        "type": "call_to_action",        "subtype": "phone_number",        "text": "string",        "url": "string",        "phone_number": "string",        "data": "string",        "property1": null,        "property2": null      }    ],    "text": "string",    "handlebars": [      "string"    ],    "is_gallery_template": true,    "goal": "string",    "industries": [      "string"    ],    "archived": true,    "duplex": true,    "not_user_selectable": true,    "request_approvals": true,    "partner_id": "6a3a39f6-861b-4a48-b868-5de838400e06",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z"  },  "country": {    "code": "string",    "name": "string"  }}